<?php

require_once "database.php";

// Eine einfache Klasse zur Verwaltung von Kategorien
// Diese Klasse bietet statische Methoden zum Abrufen von Kategorien
// aus der Datenbank.
class Categories {
    // Holt alle Kategorien aus der Datenbank
    // Gibt ein Array von Kategorien mit ID und Namen zurück
    public static function getAllCategories(): array {
        $db = new Database();
        $sql = "SELECT id, name FROM category ORDER BY id";
        $result = $db->query($sql);

        return $db->fetchAll($result);
    }
}
